// import '@mdi/font/css/materialdesignicons.css';
import 'vuetify/dist/vuetify.min.css';
import '@mdi/font/css/materialdesignicons.css';
import 'material-design-icons-iconfont/dist/material-design-icons.css';
import Vue from 'vue';
import Vuetify from 'vuetify';
import '../../../public/fonts/font.css';
Vue.use(Vuetify);

import fa from 'vuetify/es5/locale/fa';
import en from 'vuetify/es5/locale/en';


export default new Vuetify({
    lang: {
        locales: { fa, en },
        current: 'en'
    },
    icons: {
        iconfont: 'mdi', // default - only for display purposes
    },
    rtl: false,
});